# Eye movements during everyday behavior predict personality traits
*Sabrina Hoppe, Tobias Loetscher, Stephanie Morey and Andreas Bulling*

This repository provides all data used for the publication [in Frontiers in Human Neuroscience](https://dx.doi.org/10.3389/fnhum.2018.00105).  
Code is coming soon!

## Dataset
   *  Gaze data recorded at 60Hz from 42 participants is stored in `data/ParticipantXX`.  
      For each participant there are three files:
      1.  `events.csv` is a list of gaze events as provided by the SMI eye tracker software.
          The list contains saccades, fixations and blinks but only the blink information was used in the code.
      2.  `gaze_positions.csv` is a table with three columns: time in seconds, x gaze coordinate and y gaze coordinate. The x and y coordinates describe the participants' gaze direction normalised to the range from 0 to 1.
      3.  `pupil_diameter.csv` is another table with three columns: time in seconds, diameter of the right eye and diameter of the left eye. The diameter values are absolute gaze estimates in mm.  

   All files are of the same length and each row corresponds to one data sample. That is, the n-th row in all three files belongs to the same point in time.

   * Ground truth personality scores from the respective questionnaires, participant age and sex (1: male, 2: female) can be found in `info/personality_sex_age.csv`.  

   * Personality score ranges that were obtained by binning the questionnaire scores are provided in `info/binned_personality.csv`.  

   * Timestamps indicating the times when participants entered and left the shop are given in `info/annotation.csv` in seconds.  

## Citation  
If you want to cite this project, please use the following Bibtex format:

```
@article{hoppe18_fhns,
title = {Eye Movements During Everyday Behavior Predict Personality Traits},
author = {Sabrina Hoppe and Tobias Loetscher and Stephanie Morey and Andreas Bulling},
doi = {10.3389/fnhum.2018.00105},
year = {2018},
date = {2018-03-05},
journal = {Frontiers in Human Neuroscience},
volume = {12},
abstract = {Besides allowing us to perceive our surroundings, eye movements are also a window into our mind and a rich source of information on who we are, how we feel, and what we do. Here we show that eye movements during an everyday task predict aspects of our personality. We tracked eye movements of 42 participants while they ran an errand on a university campus and subsequently assessed their personality traits using well-established questionnaires. Using a state-of-the-art machine learning method and a rich set of features encoding different eye movement characteristics, we were able to reliably predict four of the Big Five personality traits (neuroticism, extraversion, agreeableness, conscientiousness) as well as perceptual curiosity only from eye movements. Further analysis revealed new relations between previously neglected eye movement characteristics and personality. Our findings demonstrate a considerable influence of personality on everyday eye movement control, thereby complementing earlier studies in laboratory settings. Improving automatic recognition and interpretation of human social signals is an important endeavor, enabling innovative design of human–computer systems capable of sensing spontaneous natural user behavior to facilitate efficient interaction and personalization.},
keywords = {},
pubstate = {forthcoming},
tppubtype = {article}
}
```
